New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't use these versions!) #387

Closed
n-rodriguez opened this Issue Mar 16, 2015 · 8 comments

Comments

Projects
None yet
3 participants
@n-rodriguez
Member

n-rodriguez commented Mar 16, 2015

 1) Repository::Xitolite common_tests : long tests Test uniqueness when blank identifier is already taken by a repository should be invalid

Failure/Error: it { expect(build_git_repository(project: @project_child, identifier: '')).to be_invalid }

expected `#<Repository::Xitolite id: nil, project_id: 157, url: "repositories/redmine/project-parent/project-child....", login: "", password: "", root_url: "repositories/redmine/project-parent/project-child....", type: "Repository::Xitolite", path_encoding: nil, log_encoding: nil, extra_info: nil, identifier: "", is_default: false, created_on: nil>.invalid?` 
to return true, got false

# ./plugins/redmine_git_hosting/spec/models/repository_xitolite_spec.rb:252:in `block (5 levels) in <top (required)>'

@n-rodriguez n-rodriguez added the bug label Mar 16, 2015

@n-rodriguez n-rodriguez self-assigned this Mar 16, 2015

@n-rodriguez n-rodriguez added this to the v1.0.3 milestone Mar 16, 2015

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment
@n-rodriguez
Member

n-rodriguez commented Mar 16, 2015

@n-rodriguez n-rodriguez changed the title from Travis build fails with Redmine 2.6.3 to Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 Mar 16, 2015

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment
@n-rodriguez

n-rodriguez Mar 16, 2015

Member

It allows this kind of things
configuration - test - redmine

Member

n-rodriguez commented Mar 16, 2015

It allows this kind of things
configuration - test - redmine

@n-rodriguez n-rodriguez changed the title from Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 to Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't user these versions!) Mar 17, 2015

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment
@n-rodriguez
Member

n-rodriguez commented Mar 17, 2015

@perltwiesekt

This comment has been minimized.

Show comment
Hide comment
@perltwiesekt

perltwiesekt Apr 27, 2015

Heja, can you confirm this is fixed in Redmine 2.6.4 (Issue is closed now)?

perltwiesekt commented Apr 27, 2015

Heja, can you confirm this is fixed in Redmine 2.6.4 (Issue is closed now)?

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment

@n-rodriguez n-rodriguez changed the title from Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't user these versions!) to Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't use these versions!) Apr 28, 2015

@n-rodriguez n-rodriguez changed the title from Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't use these versions!) to Travis build fails with Redmine 2.6.3/2.6.4 and Redmine 3.0.1/3.0.2 (don't use these versions!) Apr 28, 2015

@n-rodriguez n-rodriguez changed the title from Travis build fails with Redmine 2.6.3/2.6.4 and Redmine 3.0.1/3.0.2 (don't use these versions!) to Travis build fails with Redmine 2.6.3 and Redmine 3.0.1 (don't use these versions!) Apr 28, 2015

@shaneonabike

This comment has been minimized.

Show comment
Hide comment
@shaneonabike

shaneonabike May 14, 2015

Is this fixed in 3.0.1 because I seem to be having issues installing it?

shaneonabike commented May 14, 2015

Is this fixed in 3.0.1 because I seem to be having issues installing it?

@n-rodriguez

This comment has been minimized.

Show comment
Hide comment
@n-rodriguez

n-rodriguez May 14, 2015

Member

Is this fixed in 3.0.1 because I seem to be having issues installing it?

Niope. You must not use this version.

Member

n-rodriguez commented May 14, 2015

Is this fixed in 3.0.1 because I seem to be having issues installing it?

Niope. You must not use this version.

@shaneonabike

This comment has been minimized.

Show comment
Hide comment
@shaneonabike

shaneonabike May 14, 2015

Ah that's tragic! Guess I'll go back to reinstalling it again..

shaneonabike commented May 14, 2015

Ah that's tragic! Guess I'll go back to reinstalling it again..

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment